package com.liquidnet.service.sweet.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.dto.SweetManualExtConfigDto;
import com.liquidnet.service.sweet.param.SweetManualExtConfigParam;
import com.liquidnet.service.sweet.param.SweetManualMapGeojsonParam;

public interface ISweetManualExtConfigService {

    ResponseDto<SweetManualExtConfigDto> get(String manualId);

    ResponseDto<Boolean> save(SweetManualExtConfigParam param);

    ResponseDto<Object> getMapGeojson(String manualId);

    ResponseDto<Boolean> saveMapGeojson(SweetManualMapGeojsonParam param);
}
